com.genesyslab.wfm8.API.service.config852

## Class CfgShiftBMSequence

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgShiftBMSequence

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftBMSequence
      extends java.lang.Object
      implements java.io.Serializable

  Shift Break/Meal Sequence
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected boolean` | `wmAllowed`
    `protected int` | `wmBMSequenceId`
    `protected java.util.List<CfgShiftBMSequenceOrder>` | `wmBMSequenceOrder`
    `protected int` | `wmBMSequenceOrderNSizeIs`
    `protected int` | `wmMinDuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftBMSequence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBMSequenceId()` Gets the value of the wmBMSequenceId property.
    `java.util.List<CfgShiftBMSequenceOrder>` | `getWmBMSequenceOrder()` Gets the value of the wmBMSequenceOrder property.
    `int` | `getWmBMSequenceOrderNSizeIs()` Gets the value of the wmBMSequenceOrderNSizeIs property.
    `int` | `getWmMinDuration()` Gets the value of the wmMinDuration property.
    `int` | `hashCode()`
    `boolean` | `isWmAllowed()` Gets the value of the wmAllowed property.
    `void` | `setWmAllowed(boolean value)` Sets the value of the wmAllowed property.
    `void` | `setWmBMSequenceId(int value)` Sets the value of the wmBMSequenceId property.
    `void` | `setWmBMSequenceOrder(java.util.List<CfgShiftBMSequenceOrder> wmBMSequenceOrder)` Sets the value of the wmBMSequenceOrder property.
    `void` | `setWmBMSequenceOrderNSizeIs(int value)` Sets the value of the wmBMSequenceOrderNSizeIs property.
    `void` | `setWmMinDuration(int value)` Sets the value of the wmMinDuration property.
    `java.lang.String` | `toString()`
    `CfgShiftBMSequence` | `withWmAllowed(boolean value)`
    `CfgShiftBMSequence` | `withWmBMSequenceId(int value)`
    `CfgShiftBMSequence` | `withWmBMSequenceOrder(CfgShiftBMSequenceOrder... values)`
    `CfgShiftBMSequence` | `withWmBMSequenceOrder(java.util.Collection<CfgShiftBMSequenceOrder> values)`
    `CfgShiftBMSequence` | `withWmBMSequenceOrderNSizeIs(int value)`
    `CfgShiftBMSequence` | `withWmMinDuration(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBMSequenceId

          protected int wmBMSequenceId

    - #### wmMinDuration

          protected int wmMinDuration

    - #### wmAllowed

          protected boolean wmAllowed

    - #### wmBMSequenceOrderNSizeIs

          protected int wmBMSequenceOrderNSizeIs

    - #### wmBMSequenceOrder

          protected java.util.List<CfgShiftBMSequenceOrder> wmBMSequenceOrder

  - ### Constructor Detail

    - #### CfgShiftBMSequence

          public CfgShiftBMSequence()

  - ### Method Detail

    - #### getWmBMSequenceId

          public int getWmBMSequenceId()

      Gets the value of the wmBMSequenceId property.

    - #### setWmBMSequenceId

          public void setWmBMSequenceId(int value)

      Sets the value of the wmBMSequenceId property.

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the value of the wmMinDuration property.

    - #### setWmMinDuration

          public void setWmMinDuration(int value)

      Sets the value of the wmMinDuration property.

    - #### isWmAllowed

          public boolean isWmAllowed()

      Gets the value of the wmAllowed property.

    - #### setWmAllowed

          public void setWmAllowed(boolean value)

      Sets the value of the wmAllowed property.

    - #### getWmBMSequenceOrderNSizeIs

          public int getWmBMSequenceOrderNSizeIs()

      Gets the value of the wmBMSequenceOrderNSizeIs property.

    - #### setWmBMSequenceOrderNSizeIs

          public void setWmBMSequenceOrderNSizeIs(int value)

      Sets the value of the wmBMSequenceOrderNSizeIs property.

    - #### getWmBMSequenceOrder

          public java.util.List<CfgShiftBMSequenceOrder> getWmBMSequenceOrder()

      Gets the value of the wmBMSequenceOrder property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBMSequenceOrder property.

      For example, to add a new item, do as follows:

              getWmBMSequenceOrder().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgShiftBMSequenceOrder`

    - #### withWmBMSequenceId

          public CfgShiftBMSequence withWmBMSequenceId(int value)

    - #### withWmMinDuration

          public CfgShiftBMSequence withWmMinDuration(int value)

    - #### withWmAllowed

          public CfgShiftBMSequence withWmAllowed(boolean value)

    - #### withWmBMSequenceOrderNSizeIs

          public CfgShiftBMSequence withWmBMSequenceOrderNSizeIs(int value)

    - #### withWmBMSequenceOrder

          public CfgShiftBMSequence withWmBMSequenceOrder(CfgShiftBMSequenceOrder... values)

    - #### withWmBMSequenceOrder

          public CfgShiftBMSequence withWmBMSequenceOrder(java.util.Collection<CfgShiftBMSequenceOrder> values)

    - #### setWmBMSequenceOrder

          public void setWmBMSequenceOrder(java.util.List<CfgShiftBMSequenceOrder> wmBMSequenceOrder)

      Sets the value of the wmBMSequenceOrder property.
      Parameters:
        `wmBMSequenceOrder` - allowed object is `CfgShiftBMSequenceOrder`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.